Bug 6185 - Provide the ability to disable mail accounts
: Provide the ability to disable mail accounts
Status: RESOLVED FIXED
Product: Email
General
: 5.0/(1.2009.41-10)
: N900 Maemo
: Low enhancement with 13 votes (vote)
: Harmattan
Assigned To: unassigned
: modest-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2009-11-15 12:52 UTC by Donn Morrison
Modified: 2010-11-29 21:09 UTC (History)
4 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Donn Morrison (reporter) 2009-11-15 12:52:06 UTC
SOFTWARE VERSION:

1.2009.41-10

STEPS TO REPRODUCE THE PROBLEM:

1. Open Email (Applications > Email)
2. Set up two accounts (i.e. work and personal)
3. Go on vacation, so disable checking of work email

EXPECTED OUTCOME:

It would be nice to be able to enable/disable accounts so Menu > Send and
Receive only sends and receives for the active accounts.

ACTUAL OUTCOME:

No such functionality exists. Currently the only way to achieve this is to
delete the account in question.

REPRODUCIBILITY:

always

OTHER COMMENTS:

Some users may have many accounts but don't always want all of them to be
checked. This seems like a standard feature for even simple email clients. It
would be useful if Modest could also support this.
Comment 1 Lucas Maneos 2009-11-15 17:02:54 UTC
Confirming valid request.
Comment 2 Neil MacLeod maemo.org 2009-12-12 02:14:05 UTC
This feature is so needed - I'm trying to setup my email account, and kind of
had it working with Nokia Messaging and also kind of had it working connecting
directly to my ISPs network (fine over WLAN, not so fine over cellular).

Obviously this leaves me with two accounts that I am testing with at the same
time so I'm having to delete one to test the other - total pain.
Comment 3 Andrew Franklin 2010-01-15 21:11:46 UTC
PERSONAL EMAIL ACCOUNT: I use this one personally for friends/family/work which
is fine to stay active on my N900 100% of the time 

SIGNUP EMAIL ACCOUNT: I use this one for signups to things like
websites/forums/internet purchases/ebay etc etc
 I only want to receive emails from this account on the odd occasion.
such as when i signup to something while on the move and need to click the
verification link you usually receive to activate the account but i dont want
it to be active 100% of the time as i would prefer to receive and sort auto
mailings on my home pc
Comment 4 Andre Klapper maemo.org 2010-11-29 21:09:22 UTC
This option will be available in Harmattan (the software version after Maemo5).
Closing as FIXED in Harmattan, I am going to reset the Target Milestone to
Maemo5 in case this will be provided for Maemo5 (though that is unlikely as
Maemo5 is basically feature-frozen).